Summary: C-PEP plugin for the LCMAPS authorization framework
Name: lcmaps-plugins-c-pep
Version: 1.3.2
Release: 2%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: http://wiki.nikhef.nl/grid/Site_Access_Control
Source0: https://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc, argus-pep-api-c-devel, lcmaps-devel, openssl-devel
Requires: lcmaps%{?_isa} >= 1.5.0-1
# BuildRoot is still required for EPEL5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.

This package contains the PEP client plug-in. This LCMAPS plugin
functions as the PEP (client side) implementation to an Argus PEPd
service.

%prep
%setup -q

%build

%configure --disable-static

# The following two lines were suggested by
# https://fedoraproject.org/wiki/Packaging/Guidelines to prevent any
# RPATHs creeping in.
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
# to prevent unnecessary linking
%define fixlibtool() sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool\
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool\
sed -i -e 's! -shared ! -Wl,--as-needed\\0!g' libtool

%fixlibtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# clean up installed documentation files
rm -rf ${RPM_BUILD_ROOT}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE NEWS BUGS
%{_libdir}/lcmaps/lcmaps_c_pep.mod
%{_libdir}/lcmaps/liblcmaps_c_pep.so
%{_mandir}/man8/lcmaps_plugins_c_pep.8*

%changelog
* Wed Aug 23 2023 Mischa Salle <msalle@nikhef.nl> 1.3.2-2
- Use https for source URL

* Wed May  5 2021 Mischa Salle <msalle@nikhef.nl> 1.3.2-1
- updated version
- add BuildRequires on gcc

* Tue Jul 21 2015 Mischa Salle <msalle@nikhef.nl> 1.3.1-1
- updated version

* Fri Dec  5 2014 Mischa Salle <msalle@nikhef.nl> 1.3.0-1
- updated version
- updated description

* Fri May  9 2014 Mischa Salle <msalle@nikhef.nl> 1.2.8-1
- updated version

* Tue Mar  4 2014 Mischa Salle <msalle@nikhef.nl> 1.2.7-1
- install BUGS and NEWS files
- updated version

* Fri Feb 28 2014 Mischa Salle <msalle@nikhef.nl> 1.2.6-1
- updated version

* Thu Feb 13 2014 Mischa Salle <msalle@nikhef.nl> 1.2.5-1
- clean up installed documentation files
- update builddep on lcmaps-devel instead of -interface
- prevent unnecessary linking
- specify BuildRoot (and clean section) for EPEL5
- remove defattr
- updated version

* Mon Aug 26 2013 Mischa Salle <msalle@nikhef.nl> 1.2.4-1
- Removed Vendor tag.
- updated version

* Tue Oct 23 2012 Mischa Salle <msalle@nikhef.nl> 1.2.3-1
- Update URL.
- Add minimal, arch dependent run-time requirement on lcmaps.
- updated version

* Mon Mar 19 2012 Mischa Salle <msalle@nikhef.nl> 1.2.2-1
- rename manpage to use underscore instead of hyphen
- updated version

* Mon Jan 30 2012 Mischa Salle <msalle@nikhef.nl> 1.2.1-1
- updated version

* Fri Dec 16 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.2.0-3
- Added build dependency on openssl-devel

* Thu Dec 15 2011 Mischa Salle <msalle@nikhef.nl> 1.2.0-2
- updated version
- new installation path /lcmaps/
- plugin creates only .so and .mod (no .so.0 etc)

* Tue Apr 26 2011 Oscar Koeroo <okoeroo@nikhef.nl> 1.1.4-1
- New release enables reading a proxy from a root-squashed NFS file system.

* Wed Mar 23 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.1.0-3
- removed explicit requires

* Fri Mar  4 2011 Dennis van Dok <dennisvd@nikhef.nl> 1.1.0-2
- fixed license string
- disable static libraries
- dropped devel package

* Mon Feb 21 2011 Dennis van Dok <dennisvd@nikhef.nl> 
- Initial build.


